%define __libtoolize :
%global momorel 1
%global opensp_ver 1.5

Summary: A parser and tools for SGML plus DSSSL.
Name: openjade
Version: 1.3.2
Release: %{momorel}m
BuildPrereq: perl
BuildPrereq: gcc-c++
Prereq: sgml-common
%NoSource 0 http://telia.dl.sourceforge.net/openjade/openjade-%{version}.tar.gz 7df692e3186109cc00db6825b777201e
%NoSource 1 http://telia.dl.sourceforge.net/openjade/OpenSP-%{opensp_ver}.tar.gz 87f56e79ae0c20397f4207d61d154303
Patch0: openjade-1.3.1-manpage.patch
Patch1: openjade-ppc64.patch
Patch3: opensp-1.5-gcc34.patch
Patch4: openjade-1.3.1-nsl.patch
License: see "COPYING"
Group: Applications/Text
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: jade
Provides: jade

%description
Jade (James' DSSSL Engine) is an implementation of the DSSSL style
language.

%package devel
Summary: Files for developing applications that use openjade/OpenSP.
Requires: %{name} = %{version}
Group: Development/Libraries

%description devel
The header files, static library, libtool library and man pages for
developing applications that use openjade/OpenSP.

%define openjadetop %{_builddir}/%{name}-%{version}
%prep
%setup -q -c -a1

pushd %{openjadetop}/openjade-%{version}
%patch0 -p1 -b .manpage
%patch1 -p1 -b .ppc64
%patch4 -p1
popd

pushd %{openjadetop}/OpenSP-%{opensp_ver}
%patch3 -p1 -b .gcc34
popd

%build

pushd %{openjadetop}/OpenSP-%{opensp_ver}
aclocal
libtoolize --copy --force
automake --add-missing --copy
autoconf --force
%configure --enable-http --datadir=/usr/share/sgml/%{name}-%{version} \
 --enable-default-catalog=/etc/sgml/catalog \
 --enable-default-search-path=/usr/share/sgml
%make
# This is needed because openjade has an awful hack in its own config.h.
cp config.h include
# This is to catch #include <OpenSP/...>
ln -s . include/OpenSP
popd

pushd %{openjadetop}/openjade-%{version}
#cp config/configure.in .
#libtoolize --copy --force
%configure --enable-http --datadir=/usr/share/sgml/%{name}-%{version} \
 --enable-spincludedir=%{openjadetop}/OpenSP-%{opensp_ver}/include \
 --enable-splibdir=%{openjadetop}/OpenSP-%{opensp_ver}/lib \
 --enable-default-catalog=/etc/sgml/catalog \
 --enable-default-search-path=/usr/share/sgml
%make
popd

%install
rm -rf %{buildroot}

pushd %{openjadetop}/OpenSP-%{opensp_ver}
%makeinstall datadir=%{buildroot}/usr/share/sgml/%{name}-%{version}
make install-man mandir=%{buildroot}/%{_mandir}
popd

pushd %{openjadetop}/openjade-%{version}
%makeinstall datadir=%{buildroot}/usr/share/sgml/%{name}-%{version}
make install-man mandir=%{buildroot}/%{_mandir}
popd

# Fix up libtool libraries
find %{buildroot} -name '*.la' | \
  xargs perl -p -i -e "s|-L$RPM_BUILD_DIR[\w/.-]*||g"

# oMy, othis ois osilly.
ln -s openjade %{buildroot}/%{_bindir}/jade
echo ".so man1/openjade.1" > %{buildroot}/%{_mandir}/man1/jade.1
for file in nsgmls sgmlnorm spam spent sx ; do
   ln -s o$file %{buildroot}/%{_bindir}/$file
   echo ".so man1/o${file}.1" > %{buildroot}/%{_mandir}/man1/${file}.1
done

mv %{buildroot}/%{_bindir}/sx %{buildroot}/%{_bindir}/sgml2xml
mv %{buildroot}/%{_mandir}/man1/{sx,sgml2xml}.1

# install jade/jade %{buildroot}/%{_bindir}/jade
cp %{openjadetop}/openjade-%{version}/dsssl/catalog %{buildroot}/%{_datadir}/sgml/%{name}-%{version}/
cp %{openjadetop}/openjade-%{version}/dsssl/dsssl.dtd \
  %{openjadetop}/openjade-%{version}/dsssl/style-sheet.dtd \
  %{openjadetop}/openjade-%{version}/dsssl/fot.dtd \
  %{buildroot}/%{_datadir}/sgml/%{name}-%{version}

rm -rf %{buildroot}/usr/doc/OpenSP
rm -rf %{buildroot}/%{prefix}/share/sgml/%{name}-%{version}/doc

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc */doc/ openjade-*/jadedoc/ openjade-*/dsssl/ */pubtext/ */unicode/
%doc --parents */README */COPYING openjade-*/VERSION
%{_bindir}/*
%{_libdir}/*.so.*
%{_datadir}/sgml
%{_mandir}/*/*

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*

%changelog
* Mon Apr 12 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.3.2-1m)
- version 1.3.2
- sync with Fedora

* Wed Nov  5 2003 zunda <zunda at freeshell.org>
- (1.3.1-8m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sun Feb 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3.1-7m)
- add BuildPrereq: gcc-c++

* Thu Jul 11 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.1-6m)
- modified Prereq: sgml-common BuildPrereq: perl

* Thu Jul 11 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (1.3.1-5m)
- Prereq: => BuildPrereq

* Fri May 24 2002 kourin <kourin@kondara.org>
- (1.3.1-4k)
- Prereq: perl-base -> perl 

* Wed Jan 30 2002 Shingo Akagaki <dora@kondara.org>
- (1.3.1-2k)
- version 1.3.1

* Mon Aug 27 2001 Motonobu Ichimura <famao@kondara.org>
- (1.3-15k)
- added patch for gcc 3.0

* Fri Feb  2 2001 Daiki Matsuda <dyky@df-usa.com>
- (1.3-13k)
- build by egcs and egcs++ on Alpha

* Wed Jan 10 2001 Toru Hoshina <toru@df-usa.com>
- rebuild against gcc 2.96.

* Sat Aug 19 2000 Toru Hoshina <t@kondara.org>
- merge from Pinstripe.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul  4 2000 Jakub Jelinek <jakub@redhat.com>
- Rebuild with new C++

* Wed May 31 2000 Matt Wilson <msw@redhat.com>
- fix several C++ build problems (declarations)
- build against new libstdc++

* Wed May 17 2000 Matt Wilson <msw@redhat.com>
- build with -O0 on alpha
- fix -j testing

* Thu May  5 2000 Bill Nottingham <notting@redhat.com>
- openjade is maintained, and actually builds. Let's try that.

* Thu Mar  9 2000 Bill Nottingham <notting@redhat.com>
- this package is way too huge. strip *everything*

* Mon Feb 21 2000 Matt Wilson <msw@redhat.com>
- build with CXXFLAGS="-O2 -ggdb" to work around segfault on alpha

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- strip binaries

* Wed Jan  5 2000 Bill Nottingham <notting@redhat.com>
- sanitize spec file some

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- fixed conflict problem with sgml-tools

* Sat Jul 17 1999 Tim Powers <timp@redhat.com>
- changed buildroot path to %{_tmppath}/%{name}-%{version}-root
- rebuilt for 6.1

* Fri Apr 23 1999 Michael K. Johnson <johnsonm@redhat.com>
- quiet scripts

* Thu Apr 23 1999 Owen Taylor <otaylor@redhat.com>
- Made requires for sgml-common into prereq
